//
//  MyViewController.m
//  myIPhoneApp
//
//  Created by DARTS Lab on 1/28/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MyViewController.h"


@implementation MyViewController

@synthesize textField;
@synthesize label;
@synthesize string;

- (IBAction)updateMsg:(id)sender {
	self.string = textField.text;
	NSString *nameString = string;
	if ([nameString length] == 0) {
		nameString = @"Nobody";
	}
	NSString *newMsg = [[NSString alloc] initWithFormat:@"Go %@!", nameString];
	label.text = newMsg;
	[newMsg release];
}

/* BOOL is the boolean type for Objective-C, since Objective-C
	forked from C prior to boolean being defined.  This is a 
	method defined by the protocol <UITextFieldDelegate>, so it 
	does not need to be defined in the interface. This delegate
	method is called when the user presses Return/Done/etc on
	virtual keyboard. */
- (BOOL)textFieldShouldReturn:(UITextField *)ourTextField {
	/* this check isn't necessary, since we know we only have one 
		UITextField, but this shows an example of how you would 
		normally check if there were multiple connectors to 
		delegate. */
	if (ourTextField == textField) {
		/* resign focus on text field, so that keyboard
			will disappear. */
		[textField resignFirstResponder];
	}
	return YES;	/* YES - type BOOL.  YES - 1, NO - 0 */
}

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[textField release];
	[label release];
	[string release];
    [super dealloc];
}


@end
